> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ipworld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Results

> Get block results at a specified height

### Query Parameters

<ParamField query="height" type="integer">
  Height to return. If no height is provided, it will fetch results for the
  latest block.
</ParamField>

### Response

<ResponseField name="response" type="object">
  <p>Block results information</p>

  <Expandable title="Properties">
    <ResponseField name="height" type="string">
      <p>Block height</p>
    </ResponseField>

    <ResponseField name="txs_results" type="array">
      <p>
        Array of transaction results containing code, data, log, info, gas
        details and events
      </p>
    </ResponseField>

    <ResponseField name="begin_block_events" type="array">
      <p>Events emitted during BeginBlock</p>
    </ResponseField>

    <ResponseField name="end_block_events" type="array">
      <p>Events emitted during EndBlock</p>
    </ResponseField>
  </Expandable>
</ResponseField>
